Bug 102268 - "intd" (=dynamic integral) does not accept sub/superscripts
Summary: "intd" (=dynamic integral) does not accept sub/superscripts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-09-19 00:21 UTC by Takeshi Abe
Modified: 2016-11-08 10:26 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Takeshi Abe 2016-09-19 00:21:08 UTC
Currently "intd" is so broken that an error happens when giving it a sub/superscript, which I think is a frequent use case for integral symbol.

How to reproduce:
0. Open LibreOffice Math
1. Enter "intd_1^2 {x dx}"

Obverbed behavior:
An error displayed.

Expected behavior:
The sub/superscript shown as with non-dynamic "int_1^2 {x dx}"
Comment 1 Buovjaga 2016-09-19 09:17:36 UTC
Works ok in 4.1.6.2, broken in 4.3.0.1

Win 7 Pro 64-bit Version: 5.3.0.0.alpha0+
Build ID: ba269f7294e2416659011cbb498a2c6b5f9d5199
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-09-12_02:36:16
Locale: fi-FI (fi_FI); Calc: CL
Comment 2 Xisco Faulí 2016-09-19 21:27:52 UTC
Regression introduced by 

commit 93e6291c29d547c0c29c6e43b2ca4b36a3e8506f
Author:     matteocam <matteo.campanelli@gmail.com>
AuthorDate: Tue Feb 25 14:37:55 2014 -0500
Commit:     Norbert Thiebaud <nthiebaud@gmail.com>
CommitDate: Sat Mar 15 22:45:51 2014 +0000
  
fdo#53472 Created Dynamic Integral Node classes. Integrals size made dependent on body.
Comment 3 Commit Notification 2016-09-29 20:19:09 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=663e26f24f1fa1abadc37838983bebd7407d65f8

tdf#53472, tdf#102268: Reimplement "intd"

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2016-11-08 08:56:51 UTC
Hello Takeshi,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?